package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("dm")
public enum class89 implements MouseWheel {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Ldm;"
   )
   field1077(0, -1),
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Ldm;"
   )
   field1072(1, 1),
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Ldm;"
   )
   field1071(2, 7),
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Ldm;"
   )
   field1081(3, 8),
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Ldm;"
   )
   field1075(4, 9);

   @ObfuscatedName("cp")
   @ObfuscatedSignature(
      descriptor = "Ltt;"
   )
   static LoginType loginType;
   @ObfuscatedName("au")
   @ObfuscatedGetter(
      intValue = 1201984569
   )
   final int field1076;
   @ObfuscatedName("aa")
   @ObfuscatedGetter(
      intValue = -854762467
   )
   final int field1073;

   class89(int var3, int var4) {
      this.field1076 = var3;
      this.field1073 = var4;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.field1073;
   }

   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "(Lcr;Lcr;IZI)I",
      garbageValue = "-1326256206"
   )
   static int method2378(World var0, World var1, int var2, boolean var3) {
      if(var2 == 1) {
         int var4 = var0.population;
         int var5 = var1.population;
         if(!var3) {
            if(var4 == -1) {
               var4 = 2001;
            }

            if(var5 == -1) {
               var5 = 2001;
            }
         }

         return var4 - var5;
      } else {
         return var2 == 2?var0.location - var1.location:(var2 == 3?(var0.activity.equals("-")?(var1.activity.equals("-")?0:(var3?-1:1)):(var1.activity.equals("-")?(var3?1:-1):var0.activity.compareTo(var1.activity))):(var2 == 4?(var0.method1896_base()?(var1.method1896_base()?0:1):(var1.method1896_base()?-1:0)):(var2 == 5?(var0.method1853_base()?(var1.method1853_base()?0:1):(var1.method1853_base()?-1:0)):(var2 == 6?(var0.isPvp_base()?(var1.isPvp_base()?0:1):(var1.isPvp_base()?-1:0)):(var2 == 7?(var0.isMembersOnly_base()?(var1.isMembersOnly_base()?0:1):(var1.isMembersOnly_base()?-1:0)):var0.id - var1.id)))));
      }
   }

   @ObfuscatedName("nt")
   @ObfuscatedSignature(
      descriptor = "(Lnn;B)Ljava/lang/String;",
      garbageValue = "-23"
   )
   static String method2377(Widget var0) {
      return WorldMapData_0.Widget_unpackTargetMask_base(class361.method6871(var0)) == 0?null:(var0.spellActionName != null && var0.spellActionName.trim().length() != 0?var0.spellActionName:null);
   }
}
